--PJ008006 - Change 01 - 03262015

USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO



IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK01_LK_ASR_TYPE]') AND parent_object_id = OBJECT_ID(N'[dbo].[LK_ASR_TYPE]'))
ALTER TABLE [dbo].[LK_ASR_TYPE] DROP CONSTRAINT [FK01_LK_ASR_TYPE]
GO

USE [COWS]
GO

/****** Object:  Table [dbo].[LK_ASR_TYPE]    Script Date: 05/03/2015 12:19:47 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LK_ASR_TYPE]') AND type in (N'U'))
DROP TABLE [dbo].[LK_ASR_TYPE]
GO

---------------------

-- Table LK_ASR_TYPE to store different types of ASR which would be used for XNCI group with COWS to communicate with internal and external vendors

CREATE TABLE [dbo].[LK_ASR_TYPE]
( 
	[ASR_TYPE_ID]             int  NOT NULL ,
	[ASR_TYPE_NME]       varchar(100)  NOT NULL ,
	[ASR_TYPE_DES]       varchar(200)  NULL ,
	[CREAT_DT]           smalldatetime  NOT NULL ,
	[CREAT_BY_USER_ID]        int  NULL ,
	CONSTRAINT [PK_LK_ASR_TYPE] PRIMARY KEY  CLUSTERED ([ASR_TYPE_ID] ASC),
	CONSTRAINT [FK01_LK_ASR_TYPE] FOREIGN KEY ([CREAT_BY_USER_ID]) REFERENCES [LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
)
go

--IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[arch].[FSA_ORDR]') AND name = N'UX01_FSA_ORDR_arch')
--ALTER TABLE [arch].[FSA_ORDR] DROP CONSTRAINT [UX01_FSA_ORDR_arch]
--GO

IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[FSA_ORDR]') AND name = N'UX01_FSA_ORDR')
ALTER TABLE [dbo].[FSA_ORDR] DROP CONSTRAINT [UX01_FSA_ORDR]
GO

--IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[arch].[FSA_ORDR]') AND name = N'UX01_FSA_ORDR')
--ALTER TABLE [arch].[FSA_ORDR] DROP CONSTRAINT [UX01_FSA_ORDR]
--GO


--ALTER TABLE [arch].[FSA_ORDR] ALTER COLUMN [FTN] varchar(50)  NOT NULL
--go

ALTER TABLE [dbo].[FSA_ORDR] ALTER COLUMN [FTN] varchar(50)  NOT NULL
go

--ALTER TABLE [arch].[FSA_ORDR]
--	ADD CONSTRAINT [UX01_FSA_ORDR_arch] UNIQUE ([ORDR_ACTN_ID]  ASC,[FTN]  ASC,[PROD_TYPE_CD]  ASC)
--go

ALTER TABLE [dbo].[FSA_ORDR]
	ADD CONSTRAINT [UX01_FSA_ORDR] UNIQUE ([ORDR_ACTN_ID]  ASC,[FTN]  ASC,[PROD_TYPE_CD]  ASC)
go


--ALTER TABLE [dbo].[LK_PPRT]
--	ADD [ORDR_CAT_ID]  smallint  NULL
--go


-- Create new table arch.ASR to hold different ASR entries for MACH5 orders
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK01_ASR]') AND parent_object_id = OBJECT_ID(N'[dbo].[ASR]'))
ALTER TABLE [dbo].[ASR] DROP CONSTRAINT [FK01_ASR]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK02_ASR]') AND parent_object_id = OBJECT_ID(N'[dbo].[ASR]'))
ALTER TABLE [dbo].[ASR] DROP CONSTRAINT [FK02_ASR]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK03_ASR]') AND parent_object_id = OBJECT_ID(N'[dbo].[ASR]'))
ALTER TABLE [dbo].[ASR] DROP CONSTRAINT [FK03_ASR]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK04_ASR]') AND parent_object_id = OBJECT_ID(N'[dbo].[ASR]'))
ALTER TABLE [dbo].[ASR] DROP CONSTRAINT [FK04_ASR]
GO



/****** Object:  Table [dbo].[ASR]    Script Date: 04/13/2015 12:06:26 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ASR]') AND type in (N'U'))
DROP TABLE [dbo].[ASR]
GO

CREATE TABLE [dbo].[ASR]
( 
	[ASR_ID]             int  NOT NULL  IDENTITY ( 1,1 ) NOT FOR REPLICATION ,
	[ORDR_ID]            int  NOT NULL ,
	[ASR_TYPE_ID]        int  NOT NULL ,
	[IP_NODE_TXT]        varchar(100)  NULL ,
	[ACCS_BDWD_DES]      varchar(100)  NULL ,
	[ACCS_CTY_NME_SITE_CD] varchar(100)  NULL ,
	[TRNSPNT_CD]         bit  NULL ,
	[LEC_NNI_NBR]        int  NULL ,
	[ENTRNC_ASMT_TXT]    varchar(100)  NULL ,
	[MSTR_FTN_CD]        varchar(20)  NULL ,
	[DLCI_DES]           varchar(100)  NULL ,
	[H1_MATCH_MSTR_VAS_CD] bit  NULL ,
	[ASR_NOTES_TXT]      varchar(1000)  NULL ,
	[CREAT_DT]           datetime  NOT NULL ,
	[STUS_ID]            tinyint  NOT NULL ,
	[CREAT_BY_USER_ID]   int  NOT NULL ,
	[PTNR_CXR_CD]        varchar(100)  NULL,
	[EMAIL_REQ_ID]		 int NULL
)
go

ALTER TABLE [dbo].[ASR]
	ADD CONSTRAINT [PK_ASR] PRIMARY KEY  CLUSTERED ([ASR_ID] ASC)
go

ALTER TABLE [dbo].[ASR]
	ADD CONSTRAINT [FK01_MACH5_ASR] FOREIGN KEY ([ORDR_ID]) REFERENCES [dbo].[ORDR]([ORDR_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[ASR]
	ADD CONSTRAINT [FK02_MACH5_ASR] FOREIGN KEY ([ASR_TYPE_ID]) REFERENCES [dbo].[LK_ASR_TYPE]([ASR_TYPE_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[ASR]
	ADD CONSTRAINT [FK03_MACH5_ASR] FOREIGN KEY ([CREAT_BY_USER_ID]) REFERENCES [dbo].[LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[ASR]
	ADD CONSTRAINT [FK04_MACH5_ASR] FOREIGN KEY ([STUS_ID]) REFERENCES [dbo].[LK_STUS]([STUS_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[ASR]
	ADD CONSTRAINT [FK01_ASR] FOREIGN KEY ([EMAIL_REQ_ID]) REFERENCES [dbo].[EMAIL_REQ]([EMAIL_REQ_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go



--IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[arch].[FK01_ASR]') AND parent_object_id = OBJECT_ID(N'[arch].[ASR]'))
--ALTER TABLE [arch].[ASR] DROP CONSTRAINT [FK01_ASR]
--GO

--IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[arch].[FK02_ASR]') AND parent_object_id = OBJECT_ID(N'[arch].[ASR]'))
--ALTER TABLE [arch].[ASR] DROP CONSTRAINT [FK02_ASR]
--GO

--IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[arch].[FK03_ASR]') AND parent_object_id = OBJECT_ID(N'[arch].[ASR]'))
--ALTER TABLE [arch].[ASR] DROP CONSTRAINT [FK03_ASR]
--GO

--/****** Object:  Table [arch].[ASR]    Script Date: 04/13/2015 12:06:22 ******/
--IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[arch].[ASR]') AND type in (N'U'))
--DROP TABLE [arch].[ASR]
--GO

--CREATE TABLE [arch].[ASR]
--( 
--	[ASR_ID]             int  NOT NULL IDENTITY ( 1,1 ) NOT FOR REPLICATION,
--	[ORDR_ID]            int  NOT NULL ,
--	[ASR_TYPE_ID]        int  NOT NULL ,
--	[IP_NODE_TXT]        varchar(100)  NULL ,
--	[ACCS_BDWD_DES]      varchar(100)  NULL ,
--	[ACCS_CTY_NME_SITE_CD] varchar(100)  NULL ,
--	[TRNSPNT_CD]         bit  NULL ,
--	[LEC_NNI_NBR]        int  NULL ,
--	[ENTRNC_ASMT_TXT]    varchar(100)  NULL ,
--	[MSTR_FTN_CD]        varchar(20)  NULL ,
--	[DLCI_DES]           varchar(100)  NULL ,
--	[H1_MATCH_MSTR_VAS_CD] bit  NULL ,
--	[ASR_NOTES_TXT]      varchar(1000)  NULL ,
--	[CREAT_DT]           datetime  NOT NULL ,
--	[STUS_ID]            tinyint  NOT NULL ,
--	[USER_ID]            int  NOT NULL ,
--	[PTNR_CXR_CD]        varchar(100)  NULL,
--	[EMAIL_REQ_ID]		 int NULL 
--)
--go

--ALTER TABLE [arch].[ASR]
--	ADD CONSTRAINT [PK_ARCH_ASR] PRIMARY KEY  CLUSTERED ([ASR_ID] ASC)
--go

--ALTER TABLE [arch].[ASR]
--	ADD CONSTRAINT [FK01_ARCH_ASR] FOREIGN KEY ([ORDR_ID]) REFERENCES [arch].[ORDR]([ORDR_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go

--ALTER TABLE [arch].[ASR]
--	ADD CONSTRAINT [FK02_ARCH_ASR] FOREIGN KEY ([ASR_TYPE_ID]) REFERENCES [dbo].[LK_ASR_TYPE]([ASR_TYPE_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go

--ALTER TABLE [arch].[ASR]
--	ADD CONSTRAINT [FK03_ARCH_ASR] FOREIGN KEY ([USER_ID]) REFERENCES [dbo].[LK_USER]([USER_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go

--ALTER TABLE [arch].[ASR]
--	ADD CONSTRAINT [FK04_ARCH_ASR] FOREIGN KEY ([STUS_ID]) REFERENCES [dbo].[LK_STUS]([STUS_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go


--
SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO



-- Table M5_XML_MSG_CMCTN for inbound and outbound message communication from MACH5 to COWS or viceversa

CREATE TABLE [dbo].[M5_XML_MSG_CMCTN]
( 
	[MSG_XML_ID]         int  NOT NULL ,
	[MSG_XML_TXT]        varchar(max)  NOT NULL ,
	[ERROR_MSG_TXT]      varchar(max)  NULL ,
	[CREAT_DT]           smalldatetime  NOT NULL ,
	[IS_ERROR_CD]        bit  NOT NULL ,
	[IS_REJ_CD]          bit  NOT NULL ,
	[M5_ID]              varchar(50)  NULL ,
	CONSTRAINT [PK_M5_XML_MSG_CMCTN] PRIMARY KEY  CLUSTERED ([MSG_XML_ID] ASC)
)
go

ALTER TABLE [dbo].[M5_XML_MSG_CMCTN]
	ADD CONSTRAINT [DF_getdate_1080692515]
		 DEFAULT  getdate() FOR [CREAT_DT]
go

ALTER TABLE [dbo].[M5_XML_MSG_CMCTN]
	ADD CONSTRAINT [Default_Value_223_1018792366]
		 DEFAULT  (0) FOR [IS_REJ_CD]
go

-- Add new columns to dbo.ORDR_ADR
ALTER TABLE [dbo].[ORDR_ADR]
ADD [STREET_ADR_3] varbinary(max)  NULL
go

ALTER TABLE [dbo].[ORDR_ADR]
ADD [STE_TXT] varbinary(max)  NULL
go

---- Add new columns to arch.ORDR_ADR
--ALTER TABLE [arch].[ORDR_ADR]
--ADD [STREET_ADR_3] varbinary(max)  NULL
--go

--ALTER TABLE [arch].[ORDR_ADR]
--ADD [STE_TXT] varbinary(max)  NULL
--go

-- Add new columns to dbo.FSA_ORDR_CPE_LINE_ITEM
ALTER TABLE [dbo].[FSA_ORDR_CPE_LINE_ITEM]
ADD [CNTRC_NBR]  varchar(30)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR_CPE_LINE_ITEM]
ADD [ACCS_BDWD_CD]  varchar(5)  NULL
go

-- Add new columns to arch.FSA_ORDR_CPE_LINE_ITEM
--ALTER TABLE [arch].[FSA_ORDR_CPE_LINE_ITEM]
--ADD [CNTRC_NBR]  varchar(30)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR_CPE_LINE_ITEM]
--ADD [ACCS_BDWD_CD]  varchar(5)  NULL
--go

-- Add new columns to dbo.FSA_ORDR
ALTER TABLE [dbo].[FSA_ORDR]
ADD [TTRPT_ACCS_TERM_DES]  varchar(30)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TTRPT_QOT_XPIRN_DT]  date  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TTRPT_ACCS_QOT_MRK_UP_AMT]  varchar(20) NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TTRPT_ACCS_QOT_TAX_AMT]  varchar(20) NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TTRPT_ACCS_QOT_BEAR_CHG_AMT]  varchar(20) NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TTRPT_ACCS_QOT_ADDON_CHG_1_AMT]  varchar(20) NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TTRPT_ACCS_QOT_ADDON_CHG_2_AMT]  varchar(20) NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TTRPT_ACCS_QOT_CUR_CD]  varchar(5)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_ACTL_HOST_SRVR_NBR]  integer  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [INSTLN_MODEM_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [INSTLN_PRIM_DNS_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [INSTLN_PRIM_DNS_RGSTR_WITH_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [INSTLN_SCNDY_DNS_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [INSTLN_SCNDY_DNS_SRVC_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_SPCL_INSTRTN_TXT]  varchar(100)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_DIA_CLASS_OF_SRVC_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_DIA_NOC_TO_NOC_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_DIA_INET_RGSTR_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_NEW_CNSTRCTN_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_UNMANNED_SITE_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_CAL_BEF_DSPCH_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_DUAL_STK_ADR_PRVDR_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_PVC_NBR]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_DTE_DEV_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_LINK_MGT_PRCOL_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR]
ADD [TPORT_PROJ_DES]  varchar(50)  NULL
go

-- Add new columns to arch.FSA_ORDR
--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TTRPT_ACCS_TERM_DES]  varchar(30)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TTRPT_QOT_XPIRN_DT]  date  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TTRPT_ACCS_QOT_MRK_UP_AMT]  varchar(20) NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TTRPT_ACCS_QOT_TAX_AMT]  varchar(20) NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TTRPT_ACCS_QOT_BEAR_CHG_AMT]  varchar(20) NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TTRPT_ACCS_QOT_ADDON_CHG_1_AMT]  varchar(20) NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TTRPT_ACCS_QOT_ADDON_CHG_2_AMT]  varchar(20) NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TTRPT_ACCS_QOT_CUR_CD]  varchar(5)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_ACTL_HOST_SRVR_NBR]  integer  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [INSTLN_MODEM_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [INSTLN_PRIM_DNS_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [INSTLN_PRIM_DNS_RGSTR_WITH_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [INSTLN_SCNDY_DNS_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [INSTLN_SCNDY_DNS_SRVC_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_SPCL_INSTRTN_TXT]  varchar(100)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_DIA_CLASS_OF_SRVC_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_DIA_NOC_TO_NOC_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_DIA_INET_RGSTR_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_NEW_CNSTRCTN_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_UNMANNED_SITE_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_CAL_BEF_DSPCH_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_DUAL_STK_ADR_PRVDR_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_PVC_NBR]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_DTE_DEV_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_LINK_MGT_PRCOL_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR]
--ADD [TPORT_PROJ_DES]  varchar(50)  NULL
--go

-- Add new columns to table dbo.FSA_ORDR_BILL_LINE_ITEM
ALTER TABLE [dbo].[FSA_ORDR_BILL_LINE_ITEM]
ADD [BNDL_TYPE_CD]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR_BILL_LINE_ITEM]
ADD [BNDL_BIC_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR_BILL_LINE_ITEM]
ADD [PROMO_BIC_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR_BILL_LINE_ITEM]
ADD [PORT_BNDL_INDCR_CD]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR_BILL_LINE_ITEM]
ADD [PORT_MNU_BSD_INDCR_CD]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR_BILL_LINE_ITEM]
ADD [PORT_BIC_TXT]  varchar(50)  NULL
go

ALTER TABLE [dbo].[FSA_ORDR_BILL_LINE_ITEM]
ADD [PORT_PROMO_TXT]  varchar(50)  NULL
go


-- Add new columns to table arch.FSA_ORDR_BILL_LINE_ITEM
--ALTER TABLE [arch].[FSA_ORDR_BILL_LINE_ITEM]
--ADD [BNDL_TYPE_CD]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR_BILL_LINE_ITEM]
--ADD [BNDL_BIC_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR_BILL_LINE_ITEM]
--ADD [PROMO_BIC_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR_BILL_LINE_ITEM]
--ADD [PORT_BNDL_INDCR_CD]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR_BILL_LINE_ITEM]
--ADD [PORT_MNU_BSD_INDCR_CD]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR_BILL_LINE_ITEM]
--ADD [PORT_BIC_TXT]  varchar(50)  NULL
--go

--ALTER TABLE [arch].[FSA_ORDR_BILL_LINE_ITEM]
--ADD [PORT_PROMO_TXT]  varchar(50)  NULL
--go


-- Create new table dbo.ORDR_HOST_INET
CREATE TABLE [dbo].[ORDR_HOST_INET]
( 
	[ORDR_ID]            int  NOT NULL ,
	[IP_ADR]             varchar(50)  NOT NULL ,
	[CREAT_DT]           date  NOT NULL 
)
go

ALTER TABLE [dbo].[ORDR_HOST_INET]
	ADD CONSTRAINT [FK01_ORDR_HOST_INET] FOREIGN KEY ([ORDR_ID]) REFERENCES [dbo].[ORDR]([ORDR_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

-- Create new table arch.ORDR_HOST_INET
--CREATE TABLE [arch].[ORDR_HOST_INET]
--( 
--	[ORDR_ID]            int  NOT NULL ,
--	[IP_ADR]             varchar(50)  NOT NULL ,
--	[CREAT_DT]           date  NOT NULL 
--)
--go

--ALTER TABLE [arch].[ORDR_HOST_INET]
--	ADD CONSTRAINT [FK01_ORDR_HOST_INET] FOREIGN KEY ([ORDR_ID]) REFERENCES [arch].[ORDR]([ORDR_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go


--
SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO

--PJ008006 - Change 06 - 04302015
USE [COWS]
GO


--IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[arch].[FK01_FSA_MACH5_ORDR]') AND parent_object_id = OBJECT_ID(N'[arch].[FSA_MACH5_ORDR]'))
--ALTER TABLE [arch].[FSA_MACH5_ORDR] DROP CONSTRAINT [FK01_FSA_MACH5_ORDR]
--GO

--IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[arch].[FK02_FSA_MACH5_ORDR]') AND parent_object_id = OBJECT_ID(N'[arch].[FSA_MACH5_ORDR]'))
--ALTER TABLE [arch].[FSA_MACH5_ORDR] DROP CONSTRAINT [FK02_FSA_MACH5_ORDR]
--GO


--/****** Object:  Table [arch].[FSA_MACH5_ORDR]    Script Date: 05/01/2015 00:44:27 ******/
--IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[arch].[FSA_MACH5_ORDR]') AND type in (N'U'))
--DROP TABLE [arch].[FSA_MACH5_ORDR]
--GO


IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK01_FSA_ORDR]') AND parent_object_id = OBJECT_ID(N'[dbo].[FSA_MACH5_ORDR]'))
ALTER TABLE [dbo].[FSA_MACH5_ORDR] DROP CONSTRAINT [FK01_FSA_ORDR]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK02_FSA_MACH5_ORDR]') AND parent_object_id = OBJECT_ID(N'[dbo].[FSA_MACH5_ORDR]'))
ALTER TABLE [dbo].[FSA_MACH5_ORDR] DROP CONSTRAINT [FK02_FSA_MACH5_ORDR]
GO


/****** Object:  Table [dbo].[FSA_MACH5_ORDR]    Script Date: 05/01/2015 00:43:32 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[FSA_MACH5_ORDR]') AND type in (N'U'))
DROP TABLE [dbo].[FSA_MACH5_ORDR]
GO


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

--CREATE TABLE [arch].[FSA_MACH5_ORDR]
--( 
--	[ID]                 int  NOT NULL ,
--	[ISACTIVE]           bit  NOT NULL ,
--	[FSA_ORDR_ID]        int  NOT NULL ,
--	[MACH5_ORDR_ID]      int  NOT NULL 
--)
--go

CREATE TABLE [dbo].[FSA_MACH5_ORDR]
( 
	[ID]                 int  NOT NULL  IDENTITY ( 1,1 ) NOT FOR REPLICATION,
	[ISACTIVE]           bit  NOT NULL ,
	[FSA_ORDR_ID]        int  NOT NULL ,
	[MACH5_ORDR_ID]      int  NOT NULL 
)
go

--ALTER TABLE [arch].[FSA_MACH5_ORDR]
--ADD CONSTRAINT [PK_FSA_MACH5_ORDR] PRIMARY KEY  CLUSTERED ([ID] ASC,[FSA_ORDR_ID] ASC,[MACH5_ORDR_ID] ASC)
--go

ALTER TABLE [dbo].[FSA_MACH5_ORDR]
ADD CONSTRAINT [PK_FSA_MACH5_ORDR] PRIMARY KEY  CLUSTERED ([ID] ASC,[FSA_ORDR_ID] ASC,[MACH5_ORDR_ID] ASC)
go

--ALTER TABLE [arch].[FSA_MACH5_ORDR]
--	ADD CONSTRAINT [FK01_FSA_MACH5_ORDR] FOREIGN KEY ([FSA_ORDR_ID]) REFERENCES [arch].[ORDR]([ORDR_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go

--ALTER TABLE [arch].[FSA_MACH5_ORDR]
--	ADD CONSTRAINT [FK02_FSA_MACH5_ORDR] FOREIGN KEY ([MACH5_ORDR_ID]) REFERENCES [arch].[ORDR]([ORDR_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go

ALTER TABLE [dbo].[FSA_MACH5_ORDR]
	ADD CONSTRAINT [FK01_FSA_ORDR] FOREIGN KEY ([FSA_ORDR_ID]) REFERENCES [dbo].[ORDR]([ORDR_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[FSA_MACH5_ORDR]
	ADD CONSTRAINT [FK02_FSA_MACH5_ORDR] FOREIGN KEY ([MACH5_ORDR_ID]) REFERENCES [dbo].[ORDR]([ORDR_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go


--
SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO